{
  "name": "gaming-platform-web",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@fortawesome/fontawesome-free": "^5.15.4",
    "@fortawesome/fontawesome-svg-core": "^1.2.36",
    "@fortawesome/free-solid-svg-icons": "^5.15.4",
    "@fortawesome/react-fontawesome": "^0.1.16",
    "@rebass/forms": "^4.0.6",
    "@testing-library/jest-dom": "^5.15.0",
    "@testing-library/react": "^11.2.7",
    "@testing-library/user-event": "^12.8.3",
    "@types/jest": "^26.0.24",
    "@types/node": "^12.20.36",
    "@types/react": "^17.0.34",
    "@types/react-dom": "^17.0.11",
    "axios": "^0.24.0",
    "emotion-theming": "^10.0.19",
    "react": "^17.0.2",
    "react-cores": "file:lib/react-cores",
    "react-dom": "^17.0.2",
    "react-router-dom": "^5.2.0",
    "react-scripts": "4.0.3",
    "react-slick": "^0.28.1",
    "rebass": "^4.0.7",
    "slick-carousel": "^1.8.1",
    "typescript": "^4.4.4",
    "web-vitals": "^1.1.2"
  },
  "devDependencies": {
    "@types/react-router-dom": "^5.1.8",
    "@types/react-slick": "^0.23.7",
    "@types/rebass": "^4.0.10",
    "@types/rebass__forms": "^4.0.6",
    "husky": "^7.0.4",
    "prettier": "^2.4.1",
    "tslint": "^6.1.3",
    "tslint-react": "^5.0.0",
    "tslint-react-hooks": "^2.2.2"
  },
  "scripts": {
    "start": "GENERATE_SOURCEMAP=true react-scripts start",
    "build": "react-scripts build",
    "build:test": "export NODE_ENV=test && react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "tslint": "tslint -p . -c tslint.json",
    "prepare": "husky install",
    "prettier:fix": "prettier --write src/**/*.{ts,tsx}",
    "prettier:check": "prettier --debug-check src/**/*.{ts,tsx}"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
